package it.unibs.fp.patenteelibbrettopregoh;

/**
 * Classe che rappresenta un comune con nome e codice.
 */
public class Comune {
    private final String nome;
    private final String codice;

    /**
     * Costruttore della classe Comune.
     *
     * @param nome   il nome del comune
     * @param codice il codice del comune
     */
    public Comune(String nome, String codice) {
        this.nome = nome;
        this.codice = codice;
    }

    /**
     * Restituisce il nome del comune.
     *
     * @return il nome del comune
     */
    public String getNome() {
        return nome;
    }

    /**
     * Restituisce il codice del comune.
     *
     * @return il codice del comune
     */
    public String getCodice() {
        return codice;
    }

    /**
     * Restituisce una rappresentazione testuale del comune.
     *
     * @return una stringa che rappresenta il comune
     */
    @Override
    public String toString() {
        return "Comune{" +
                "nome='" + nome + '\'' +
                ", codice='" + codice + '\'' +
                '}';
    }
}
